osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture > Struct Template Reference
Collaboration diagram for osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >:
[legend]

## Public Member Functions
| EachOnBoard (const NumEffectState &state, Action &action)
void | operator() (Piece p)

## Public Attributes
const NumEffectState & | state
Action & | action

## Detailed Description

### template<typename Action, Player P, Ptype T, bool noCapture>
struct osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >

Definition at line 170 of file promote_.tcc.

## Constructor & Destructor Documentation

template<typename Action , Player P, Ptype T, bool noCapture>

osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::EachOnBoard | ( | const NumEffectState & | state,
|  | Action & | action
| ) |  |
| inline

Definition at line 174 of file promote_.tcc.

## Member Function Documentation

template<typename Action , Player P, Ptype T, bool noCapture>

void osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::operator() | ( | Piece | p) |  |
| inline

Definition at line 175 of file promote_.tcc.

References osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::action, osl::move_generator::promote::AllPromote< P, T, noCapture >::generate(), osl::move_generator::promote::MayPromote< P, T, noCapture >::generate(), osl::Piece::isPromoted(), osl::Piece::square(), and osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::state.

## Member Data Documentation

template<typename Action , Player P, Ptype T, bool noCapture>

Action& osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::action

Definition at line 173 of file promote_.tcc.

Referenced by osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::operator()().

template<typename Action , Player P, Ptype T, bool noCapture>

const NumEffectState& osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::state

Definition at line 172 of file promote_.tcc.

Referenced by osl::move_generator::promote::EachOnBoard< Action, P, T, noCapture >::operator()().

The documentation for this struct was generated from the following file:

- promote_.tcc